manaable REST API
What's manaableAbout Us
What's manaableAbout Us
  1. Applicants
  • Introduction
  • イントロダクション
  • API v3
    • Members
      • Get Members
      • Get Member by ID
    • Teams
      • Get Teams
      • Get Team by ID
  • API v2
    • Trainings
      • List trainings / 研修一覧取得
      • Count trainings / 研修件数取得
      • Get training custom field definitions / 研修カスタムフィールド定義取得
      • Get training by ID / 研修詳細取得
      • Update training / 研修情報更新
      • Delete training / 研修削除
    • Applicants
      • List applicants / 申込者一覧取得
        GET
      • Bulk create/update applicants (upsert) / 申込者一括作成/更新 (upsert)
        PUT
      • Count applicants / 申込者件数取得
        GET
      • Bulk update applicant status / 申込ステータス一括更新
        PUT
    • Members
      • List members / メンバー一覧取得
      • Bulk create/update members / メンバー一括作成/更新
      • Get member custom field definitions / メンバーカスタムフィールド定義取得
      • Get member by ID / メンバー詳細取得
      • Update member / メンバー情報更新
      • Delete member / メンバー削除
      • Update member password / メンバーパスワード更新
    • Teams
      • List teams / チーム一覧取得
      • Bulk create/update teams / チーム一括作成/更新
      • Get team custom field definitions / チームカスタムフィールド定義取得
      • Get team by ID / チーム詳細取得
      • Update team / チーム情報更新
      • Delete team / チーム削除
  • API v1
    • Get member groups
      GET
  • Schemas
    • Schemas
      • ContactForm
      • Exam
      • ExamResult
      • Lesson
      • LessonAttempt
      • Notification
      • Settings
      • StaticFieldsSetting
      • TeamMember
      • TrainingQuestionnaireResponse
      • TrainingQuestionnaireTemplate
      • TrainingRegTemplate
      • TrainingTaskResponse
      • TrainingTaskTemplate
      • UnsubscriptionQuestionnaire
    • Training
    • Member
    • Team
    • TrainingApplication
    • CustomFieldMaster
    • CustomFieldData
    • ErrorResponse
    • SuccessResponse
    • ValidationErrorResponse
  1. Applicants

List applicants / 申込者一覧取得

GET
/trainings/applicants
Retrieves a list of TrainingApplications.
TrainingApplication 一覧を取得。
Default behavior / デフォルト動作:
CANCELLED status is excluded (include with include_cancelled=1) / CANCELLED ステータスは除外 (include_cancelled=1 で含める)
Soft-deleted records are excluded (include with include_deleted=1) / 論理削除済みレコードは除外 (include_deleted=1 で含める)
Additional fields in response / レスポンスに付加されるフィールド:
training_custom_field_data, applicant_custom_field_data, team, team_custom_field_data
payment (training_applications relation removed / training_applications リレーション除去済み)
application_form_response_data / application_form_response_data_manager are JSON strings decoded into objects (path/mime_type of file-type fields are removed) /
JSON 文字列をデコードしたオブジェクト (file type の path/mime_type は除去済み)
Note / 注意: The $with = ["training", "applicant"] on TrainingApplication always eager-loads training and applicant.
TrainingApplication の $with = ["training", "applicant"] により training と applicant が常にロードされる。

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Query Params

Responses

🟢200
application/json
Success / 成功
Bodyapplication/json

🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/trainings/applicants?limit=undefined&offset=undefined&from=undefined&to=undefined&include_deleted=undefined&include_cancelled=undefined&training_id=undefined&status=undefined&attendance_status=undefined&member_id=undefined&application_form_response_data=undefined&application_form_response_data_manager=undefined' \
--header 'api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "status": 200,
    "applications": [
        {
            "id": 0,
            "created_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z",
            "deleted_at": "2019-08-24T14:15:22.123Z",
            "training_id": 0,
            "member_id": 0,
            "status": "APPLIED",
            "effective_fee_amount": 0,
            "effective_fee_id": 0,
            "effective_fee_type": "BASE",
            "individual_attendance_period_start_date": "2019-08-24T14:15:22.123Z",
            "individual_attendance_period_end_date": "2019-08-24T14:15:22.123Z",
            "applied_attendance_days": 0,
            "attendance_status": "string",
            "reason_for_denial": "string",
            "comment": "string",
            "type": "INDIVIDUAL",
            "application_form_response_data": {},
            "application_form_response_data_manager": {},
            "handover_memo": "string",
            "team_id": "string",
            "applied_by": 0,
            "payment_type": "INDIVIDUAL",
            "team_priority": "string",
            "payment_id": 0,
            "payment_receipt_location": "string",
            "effective_admission_status": "string",
            "status_updated_at": "2019-08-24T14:15:22.123Z",
            "training_result_status": "string",
            "training_result_time": "string",
            "task_attempt_status": 0,
            "exam_attempt_status": 0,
            "exam_result_status": 0,
            "questionnaire_attempt_status": 0,
            "total_exam_score_result_status": 0,
            "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
            "training": {
                "id": 0,
                "created_at": "2019-08-24T14:15:22.123Z",
                "updated_at": "2019-08-24T14:15:22.123Z",
                "manager_id": "string",
                "title": "string",
                "unrestricted_manager_groups": "string",
                "display_member_groups": "string",
                "excluded_groups_action": "string",
                "pay_on_manaable": 0,
                "transferaccount_id": 0,
                "set_capacity": 0,
                "total_capacity": 0,
                "base_fee_amount": 0,
                "base_fee_label": "string",
                "is_taxable": 0,
                "article_status": "DRAFT",
                "progress_status": "string",
                "application_reception_status": "string",
                "start_date": "2019-08-24T14:15:22.123Z",
                "end_date": "2019-08-24T14:15:22.123Z",
                "publish_start_date": "2019-08-24T14:15:22.123Z",
                "publish_end_date": "2019-08-24T14:15:22.123Z",
                "application_form_template_id": 0,
                "application_form_restriction": 0,
                "allow_application_form_change": "string",
                "application_form_change_date": "2019-08-24T14:15:22.123Z",
                "accept_team_application": 0,
                "application_cancellation_date": "2019-08-24T14:15:22.123Z",
                "application_form_start_date": "2019-08-24T14:15:22.123Z",
                "application_form_end_date": "2019-08-24T14:15:22.123Z",
                "payment_due_date": "2019-08-24T14:15:22.123Z",
                "application_format": "FCFS",
                "application_form_cancel_wait": 0,
                "application_form_cancel_wait_capacity": 0,
                "show_certificate": 0,
                "show_invoice": 0,
                "show_payment_receipt": 0,
                "payment_receipt_provision": "string",
                "update_notification_details": "string",
                "training_completion_requirements": "string",
                "training_completion_requirement_score": 0,
                "certificate_template_id": 0,
                "receipt_template_id": 0,
                "receipt_remarks": "string",
                "invoice_template_id": 0,
                "invoice_remarks": "string",
                "notification_sender_managergroup_id": 0,
                "autonotification_managergroup_id": 0,
                "lesson_workflow_controls": "string",
                "application_based_attendance_period_enabled": 0,
                "application_based_attendance_days": 0,
                "application_based_attendance_key_status": "string",
                "portrait_deleted_at": "2019-08-24T14:15:22.123Z",
                "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
                "fees": [
                    {}
                ],
                "lessons": [
                    {}
                ],
                "detail_page_url": "string",
                "custom_field_data": [
                    {
                        "field_name": "string",
                        "field_value": "string",
                        "updated_at": "2019-08-24T14:15:22.123Z"
                    }
                ]
            },
            "applicant": {
                "id": 0,
                "updated_at": "2019-08-24T14:15:22.123Z",
                "created_at": "2019-08-24T14:15:22.123Z",
                "email": "user@example.com",
                "first_name": "string",
                "last_name": "string",
                "kana_first_name": "string",
                "kana_last_name": "string",
                "gender": "string",
                "d_o_b": "2019-08-24",
                "postal_code": "string",
                "street_address": "string",
                "phone_number": "string",
                "prefecture": "string",
                "municipality": "string",
                "town": "string",
                "building": "string",
                "admission_status": "string",
                "is_active": "ACTIVE",
                "ext_id": "string",
                "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
                "organisation": "string",
                "deleted_at": "2019-08-24T14:15:22.123Z",
                "formatted_id": "string"
            },
            "payment": {
                "id": 0,
                "status": "string",
                "transactions": [
                    {}
                ]
            },
            "training_custom_field_data": [
                {
                    "field_name": "string",
                    "field_value": "string",
                    "updated_at": "2019-08-24T14:15:22.123Z"
                }
            ],
            "applicant_custom_field_data": [
                {
                    "field_name": "string",
                    "field_value": "string",
                    "updated_at": "2019-08-24T14:15:22.123Z"
                }
            ],
            "team": {
                "id": 0,
                "team_id": "string",
                "team_name": "string"
            },
            "team_custom_field_data": [
                {
                    "field_name": "string",
                    "field_value": "string",
                    "updated_at": "2019-08-24T14:15:22.123Z"
                }
            ]
        }
    ]
}
Modified at 2026-06-18 02:46:11
Previous
Delete training / 研修削除
Next
Bulk create/update applicants (upsert) / 申込者一括作成/更新 (upsert)
Built with